Results 1 to 9 of 9

Thread: Что происходит с репозиториями opensuse Leap 15.3 ?

  1. #1

    Default Что происходит с репозиториями opensuse Leap 15.3 ?

    Может кто-то сможет объяснить, что произошло с версией 15.3?


    Yast не нашел eclipse&netbeans и я полез спрашивать про них в англо версии. https://forums.opensuse.org/showthread.php/559707-eclipse-netbeans-not-found-in-package-names-or?p=3066090#post3066090

    А потом порыскал по форуму, и окончательно запутался.
    Похожая проблема с Thunderbird https://forums.opensuse.org/showthread.php/559626-There-is-no-official-Thunderbird-package-available-for-openSUSE-Leap-15-3

    А еще нашел ссылку на https://lists.opensuse.org/archives/list/factory@lists.opensuse.org/thread/CN4MG6WYRSRD7LWY7SUKYOJTEKH6DAZC/

    As Leap 15.3 is not one repository any more and it is three repositories joined together, it looks different. If it is Leap package from SLE, you will see it in "Unsupported distributions" in SUSE:SLE-15:GA , if it is community package, you will see it in openSUSE Backports for SLE 15 SP3 and if it is Leap specific package (only a few packages, mainly cosmetic packages), you will see it as Leap 15.3.
    openSUSE Leap 15.3 is built not just from SUSE Linux Enterprise source code like in previous versions, but built with the exact same binary packages, which strengthens the flow between Leap and SLE like a yin yang.
    Выглядит так, что с новой версией софт должен приходить из трех разных реп. Но система, похоже, этого не знает. Поэтому поиск и т.д. не работает.
    Возможно это связано с переходом на бинарные сборки из SLE.

    Не очень понятно, как добиться корректной работы от yast/zypper.
    Добавить новые репозитории вроде



    Будет ли работать поиск нормально?


    Кто-нибудь понимает суть происходящего?

  2. #2

    Lightbulb Re: Что происходит с репозиториями opensuse Leap 15.3 ?

    Кто-то да понимает.
    Система - какая именно?

    Не работает поиск на software.opensuse.org для Leap 15.3. Ну, вообще-то работает, но не полностью.
    Разработчик обещался починить, но, поскольку он это делает в своё личное время, то ждём-с.

    Софт идёт не из 3х разных реп, а из 3х источников.

    https://bugzilla.opensuse.org/show_bug.cgi?id=1188365
    https://github.com/openSUSE/software-o-o/issues/1033

    https://lists.opensuse.org/archives/...KYOJTEKH6DAZC/

    Поиск в zypper/YaST работает - для разрешённых репозиториев.

    Обход этих ограничений для новья: https://forums.opensuse.org/showthre...al-quot-branch

    Добавляете нужные репозитории - и вперёд.

  3. #3

    Lightbulb Re: Что происходит с репозиториями opensuse Leap 15.3 ?

    Новые хранилища для Leap 15.3:

    http://download.opensuse.org/update/...5.3/backports/
    http://download.opensuse.org/update/leap/15.3/sle/


    Дополнительные пакеты для Leap 15.3:

    kernel-default-extra
    kernel-default-optional

    Без них система будет как SLE - без поддержки "unsupported" драйверов.

  4. #4

    Default Re: Что происходит с репозиториями opensuse Leap 15.3 ?

    Вроде уже починили: https://software.opensuse.org/package/eclipse

  5. #5

    Default Re: Что происходит с репозиториями opensuse Leap 15.3 ?

    Quote Originally Posted by Svyatko View Post
    Вроде уже починили: https://software.opensuse.org/package/eclipse

    Спасибо за ответы.
    Увы, реальность не так хороша, как наше о ней представление.

    При добавленных
    eclipse в списке пакетов отсутствует. Есть только исходник.

    Code:
    zypper se eclipse
      | eclipse                             | An open, extensible IDE                               | srcpackage
    Пакеты на https://software.opensuse.org/package/eclipse находятся, но установить их нельзя. Предлагает добавить сломанные репозитории.
    Code:
    
     Repositories to be added:
    
     
    
    • https://download.opensuse.org/repositories/SUSE:/SLE-15-SP1:/GA/pool/ (SUSE:SLE-15-SP1:GA) - сломан
    • https://download.opensuse.org/repositories/SUSE:/SLE-15-SP1:/Update/pool-leap-15.3/ (SUSE:SLE-15-SP1:Update) - сломан
    • https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/GA/pool/ (SUSE:SLE-15-SP2:GA) -сломан
    • https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/Update/pool-leap-15.3/ (SUSE:SLE-15-SP2:Update) - сломан
    • https://download.opensuse.org/repositories/SUSE:/SLE-15-SP3:/GA/pool/ (SUSE:SLE-15-SP3:GA) - сломан
    • https://download.opensuse.org/repositories/SUSE:/SLE-15:/Update/pool-leap-15.3/ (SUSE:SLE-15:Update) - сломан
    • https://download.opensuse.org/repositories/openSUSE:/Backports:/SLE-15-SP3/standard/ (openSUSE:Backports:SLE-15-SP3)
    • https://download.opensuse.org/repositories/openSUSE:/Backports:/SLE-15-SP3:/Checks/standard/ (openSUSE:Backports:SLE-15-SP3:Checks)
    ... Repository 'SUSE:SLE-15-SP2:Update' is invalid. [https-download.opensuse.org-1f7843b8|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/Update/pool-leap-15.3/] Valid metadata not found at specified URL ...
    Так что есть еще пространство для улучшений

  6. #6
    Join Date
    Sep 2012
    Posts
    6,972

    Default Re: Что происходит с репозиториями opensuse Leap 15.3 ?

    Quote Originally Posted by gvozdila View Post
    eclipse в списке пакетов отсутствует. Есть только исходник.
    А с чего вы взяли, что бинарный пакет с таким именем вообще должен существовать? Из этого исходника собираются несколько разных пакетов которые в 15.3 присутствуют:Ситуация ничем не отличается от 15.2.

  7. #7

    Default Re: Что происходит с репозиториями opensuse Leap 15.3 ?

    Quote Originally Posted by gvozdila View Post
    Пакеты на https://software.opensuse.org/package/eclipse находятся, но установить их нельзя. Предлагает добавить сломанные репозитории.
    Code:
     Repositories to be added:
      
    
    
    • https://download.opensuse.org/repositories/SUSE:/SLE-15-SP1:/GA/pool/ (SUSE:SLE-15-SP1:GA) - сломан
    • https://download.opensuse.org/repositories/SUSE:/SLE-15-SP1:/Update/pool-leap-15.3/ (SUSE:SLE-15-SP1:Update) - сломан
    • https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/GA/pool/ (SUSE:SLE-15-SP2:GA) -сломан
    • https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/Update/pool-leap-15.3/ (SUSE:SLE-15-SP2:Update) - сломан
    • https://download.opensuse.org/repositories/SUSE:/SLE-15-SP3:/GA/pool/ (SUSE:SLE-15-SP3:GA) - сломан
    • https://download.opensuse.org/repositories/SUSE:/SLE-15:/Update/pool-leap-15.3/ (SUSE:SLE-15:Update) - сломан
    • https://download.opensuse.org/repositories/openSUSE:/Backports:/SLE-15-SP3/standard/ (openSUSE:Backports:SLE-15-SP3)
    • https://download.opensuse.org/repositories/openSUSE:/Backports:/SLE-15-SP3:/Checks/standard/ (openSUSE:Backports:SLE-15-SP3:Checks)
    ... Repository 'SUSE:SLE-15-SP2:Update' is invalid. [https-download.opensuse.org-1f7843b8|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/Update/pool-leap-15.3/] Valid metadata not found at specified URL ...
    Так что есть еще пространство для улучшений

    Откуда ты их берёшь?

    Добавить репозиторий и установить вручную

    Для openSUSE Leap 15.3 запустите от имени root:

    Code:
    zypper addrepo https://download.opensuse.org/repositories/Java:packages/openSUSE_Leap_15.3/Java:packages.repo
    zypper refresh
    zypper install eclipse
    И зачем брать Eclipse 4.15 от openSUSE, если на сайте Eclipse есть 4.21?

  8. #8

    Default Re: Что происходит с репозиториями opensuse Leap 15.3 ?

    Quote Originally Posted by Svyatko View Post
    Откуда ты их берёшь?
    Мне их предлагает https://software.opensuse.org/package/eclipse. Жмешь expert download для Leap 15.3. Там жмешь кнопку standart.
    Выдает yum-пакет https://software.opensuse.org/ymp/op...rd/eclipse.ymp с всеми этими странными репозиториями.

    Quote Originally Posted by Svyatko View Post
    И зачем брать Eclipse 4.15 от openSUSE, если на сайте Eclipse есть 4.21?
    Даже 4.9.0. С сайта я и так могу поставить. Меня просто смутили такие выкрутасы в родной системе управления пакетами. Так скоро придется за openssh на rutracker ходить

  9. #9

    Default Re: Что происходит с репозиториями opensuse Leap 15.3 ?

    Quote Originally Posted by gvozdila View Post
    Мне их предлагает https://software.opensuse.org/package/eclipse. Жмешь expert download для Leap 15.3. Там жмешь кнопку standart.
    Выдает yum-пакет https://software.opensuse.org/ymp/op...rd/eclipse.ymp с всеми этими странными репозиториями.
    Даже 4.9.0. С сайта я и так могу поставить. Меня просто смутили такие выкрутасы в родной системе управления пакетами. Так скоро придется за openssh на rutracker ходить
    Кнопку "standart" не нашёл.
    Не yum-пакет, а YMP файл (YaST Meta Package File).
    При установке можно выбрать, какие репозитории добавлять. Но обычно пользователи жмут кнопку "Далее".
    Поэтому не пользуйтесь этими файлами ymp, делайте всё руками через YaST или zypper.

    Сложности начались с объединения SLE 15 SP3 и Leap 15.3. Раньше было всё по-отдельности, и система (OBS, soo и т.д.) не рассчитана на такое использование.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •